Bug 197521 - PCMCIA modem fails in FC5
PCMCIA modem fails in FC5
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pcmciautils (Show other bugs)
8
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-03 11:52 EDT by Dan Beard
Modified: 2009-01-09 01:57 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:57:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Beard 2006-07-03 11:52:03 EDT
Description of problem:  Zonet PCMCIA modem is detected by kudzu but fails to
show in ppp setup.  Modem cannot be accesed on any TTy*.   Reproducible with
bestdata 56pc (older version) card as well.   


Version-Release number of selected component (if applicable):  All fc5 so far


How reproducible:   Other users have hit this issue as well.   Please see the
following thread at fedora forums. 
http://forums.fedoraforum.org/showthread.php?t=104377


Steps to Reproduce:
1.
2.
3.
  
Actual results:   Modem not useable.


Expected results:   Modem detected and used.


Additional info:
Comment 1 Stephen Haffly 2006-07-03 17:59:39 EDT
I can confirm the same problem exists with my setup which is a Compaq Presario
2140US running FC5.  I have been able to get a Belkin wireless network card
working with ndiswrapper, so the card slots do work.
Comment 2 Stephen Haffly 2006-07-04 04:59:29 EDT
Additional information:

lspci -v contains the following applicable to the CardBus slots:

00:0a.0 CardBus bridge: O2 Micro, Inc. OZ601/6912/711E0 CardBus/SmartCardBus
Controller
        Subsystem: Hewlett-Packard Company Unknown device 0024
        Flags: bus master, stepping, slow devsel, latency 168, IRQ 5
        Memory at 80000000 (32-bit, non-prefetchable) [size=4K]
        Bus: primary=00, secondary=02, subordinate=05, sec-latency=176
        Memory window 0: 20000000-21fff000 (prefetchable)
        Memory window 1: 22000000-23fff000
        I/O window 0: 00001000-000010ff
        I/O window 1: 00001400-000014ff
        16-bit legacy interface ports at 0001

uname -a results:

Linux slhmobile 2.6.16-1.2133_FC5 #1 Tue Jun 6 00:52:14 EDT 2006 i686 athlon
i386 GNU/Linux

hwbrowser shows up the following in the MODEM section:

INTEL CORP V92 MODEM AT-MD56XX 5.41  Driver:  serial-cs

The folowing is for the PCMCIA/PC Card Devices:

O2 Micro, Inc.  OZ601/6912/711E0 CardBus/SmartCardBus Controller  Driver: 
yenta-socket

I hope that this helps to track down why it isn't working.

Regards,

Stephen
Comment 3 Harald Hoyer 2006-07-04 05:06:45 EDT
is the serial-cs module loaded?
Comment 4 Dan Beard 2006-07-04 09:23:33 EDT
[root@ze5170 proc]# uname -a
Linux ze5170.zyloo.net 2.6.15-1.2054_FC5 #1 Tue Mar 14 15:48:33 EST 2006 i686
i686 i386 GNU/Linux


cat /proc/modules

serial_cs 18117 1 - Live 0xf8969000

Comment 5 Stephen Haffly 2006-07-04 12:09:19 EDT
$ cat /proc/modules | grep cs
serial_cs 18117 1 - Live 0xdc937000
Comment 6 Harald Hoyer 2006-07-05 03:45:19 EDT
please provide the output:

# find /sys -name dev
Comment 7 Dan Beard 2006-07-05 09:28:55 EDT
full output as follows

[root@ze5170 dan]# find /sys -name dev
/sys/block/md0/dev
/sys/block/fd0/dev
/sys/block/dm-1/dev
/sys/block/dm-0/dev
/sys/block/hdc/dev
/sys/block/hda/hda3/dev
/sys/block/hda/hda2/dev
/sys/block/hda/hda1/dev
/sys/block/hda/dev
/sys/block/ram15/dev
/sys/block/ram14/dev
/sys/block/ram13/dev
/sys/block/ram12/dev
/sys/block/ram11/dev
/sys/block/ram10/dev
/sys/block/ram9/dev
/sys/block/ram8/dev
/sys/block/ram7/dev
/sys/block/ram6/dev
/sys/block/ram5/dev
/sys/block/ram4/dev
/sys/block/ram3/dev
/sys/block/ram2/dev
/sys/block/ram1/dev
/sys/block/ram0/dev
/sys/class/drm/card0/dev
/sys/class/ppdev/parport0/dev
/sys/class/printer/lp0/dev
/sys/class/sound/mixer/dev
/sys/class/sound/controlC0/dev
/sys/class/sound/audio/dev
/sys/class/sound/dsp/dev
/sys/class/sound/pcmC0D0c/dev
/sys/class/sound/pcmC0D0p/dev
/sys/class/sound/sequencer2/dev
/sys/class/sound/sequencer/dev
/sys/class/sound/seq/dev
/sys/class/sound/timer/dev
/sys/class/vc/vcsa7/dev
/sys/class/vc/vcs7/dev
/sys/class/vc/vcsa6/dev
/sys/class/vc/vcs6/dev
/sys/class/vc/vcsa5/dev
/sys/class/vc/vcs5/dev
/sys/class/vc/vcsa4/dev
/sys/class/vc/vcs4/dev
/sys/class/vc/vcsa3/dev
/sys/class/vc/vcs3/dev
/sys/class/vc/vcsa2/dev
/sys/class/vc/vcs2/dev
/sys/class/vc/vcsa1/dev
/sys/class/vc/vcs1/dev
/sys/class/vc/vcsa8/dev
/sys/class/vc/vcs8/dev
/sys/class/vc/vcsa/dev
/sys/class/vc/vcs/dev
/sys/class/mem/kmsg/dev
/sys/class/mem/urandom/dev
/sys/class/mem/random/dev
/sys/class/mem/full/dev
/sys/class/mem/zero/dev
/sys/class/mem/port/dev
/sys/class/mem/null/dev
/sys/class/mem/mem/dev
/sys/class/input/input2/event2/dev
/sys/class/input/input2/mouse1/dev
/sys/class/input/input1/event1/dev
/sys/class/input/input1/mouse0/dev
/sys/class/input/input0/event0/dev
/sys/class/input/mice/dev
/sys/class/usb_device/usbdev2.2/dev
/sys/class/usb_device/usbdev2.1/dev
/sys/class/usb_device/usbdev1.1/dev
/sys/class/misc/nvram/dev
/sys/class/misc/device-mapper/dev
/sys/class/misc/agpgart/dev
/sys/class/misc/hpet/dev
/sys/class/misc/rtc/dev
/sys/class/tty/ttyS3/dev
/sys/class/tty/ttyS2/dev
/sys/class/tty/ttyS1/dev
/sys/class/tty/ttyS0/dev
/sys/class/tty/tty63/dev
/sys/class/tty/tty62/dev
/sys/class/tty/tty61/dev
/sys/class/tty/tty60/dev
/sys/class/tty/tty59/dev
/sys/class/tty/tty58/dev
/sys/class/tty/tty57/dev
/sys/class/tty/tty56/dev
/sys/class/tty/tty55/dev
/sys/class/tty/tty54/dev
/sys/class/tty/tty53/dev
/sys/class/tty/tty52/dev
/sys/class/tty/tty51/dev
/sys/class/tty/tty50/dev
/sys/class/tty/tty49/dev
/sys/class/tty/tty48/dev
/sys/class/tty/tty47/dev
/sys/class/tty/tty46/dev
/sys/class/tty/tty45/dev
/sys/class/tty/tty44/dev
/sys/class/tty/tty43/dev
/sys/class/tty/tty42/dev
/sys/class/tty/tty41/dev
/sys/class/tty/tty40/dev
/sys/class/tty/tty39/dev
/sys/class/tty/tty38/dev
/sys/class/tty/tty37/dev
/sys/class/tty/tty36/dev
/sys/class/tty/tty35/dev
/sys/class/tty/tty34/dev
/sys/class/tty/tty33/dev
/sys/class/tty/tty32/dev
/sys/class/tty/tty31/dev
/sys/class/tty/tty30/dev
/sys/class/tty/tty29/dev
/sys/class/tty/tty28/dev
/sys/class/tty/tty27/dev
/sys/class/tty/tty26/dev
/sys/class/tty/tty25/dev
/sys/class/tty/tty24/dev
/sys/class/tty/tty23/dev
/sys/class/tty/tty22/dev
/sys/class/tty/tty21/dev
/sys/class/tty/tty20/dev
/sys/class/tty/tty19/dev
/sys/class/tty/tty18/dev
/sys/class/tty/tty17/dev
/sys/class/tty/tty16/dev
/sys/class/tty/tty15/dev
/sys/class/tty/tty14/dev
/sys/class/tty/tty13/dev
/sys/class/tty/tty12/dev
/sys/class/tty/tty11/dev
/sys/class/tty/tty10/dev
/sys/class/tty/tty9/dev
/sys/class/tty/tty8/dev
/sys/class/tty/tty7/dev
/sys/class/tty/tty6/dev
/sys/class/tty/tty5/dev
/sys/class/tty/tty4/dev
/sys/class/tty/tty3/dev
/sys/class/tty/tty2/dev
/sys/class/tty/tty1/dev
/sys/class/tty/tty0/dev
/sys/class/tty/ptmx/dev
/sys/class/tty/console/dev
/sys/class/tty/tty/dev
Comment 8 Harald Hoyer 2006-07-05 11:08:14 EDT
And none of ttyS0-ttyS3 represents the modem?
Comment 9 Dan Beard 2006-07-05 12:23:40 EDT
ttyS0  failed with error 8
ttyS1  failed with error 8
ttyS2  failed with error 8
ttyS3  failed with error 8
/modem failed with error 2
Comment 10 Dan Beard 2006-07-05 12:27:32 EDT
FYI- further testing reveals external Zoom v.90 model 2948C modem on com1
(supplied by docking station) works peachy keen on ttyS0.
Comment 11 Stephen Haffly 2006-07-06 01:41:46 EDT
My full list too.  I can't get any of the ttys# to respond either.

# find /sys -name dev
/sys/block/md0/dev
/sys/block/dm-2/dev
/sys/block/dm-1/dev
/sys/block/dm-0/dev
/sys/block/hdc/dev
/sys/block/hda/hda6/dev
/sys/block/hda/hda5/dev
/sys/block/hda/hda4/dev
/sys/block/hda/hda3/dev
/sys/block/hda/hda2/dev
/sys/block/hda/hda1/dev
/sys/block/hda/dev
/sys/block/ram15/dev
/sys/block/ram14/dev
/sys/block/ram13/dev
/sys/block/ram12/dev
/sys/block/ram11/dev
/sys/block/ram10/dev
/sys/block/ram9/dev
/sys/block/ram8/dev
/sys/block/ram7/dev
/sys/block/ram6/dev
/sys/block/ram5/dev
/sys/block/ram4/dev
/sys/block/ram3/dev
/sys/block/ram2/dev
/sys/block/ram1/dev
/sys/block/ram0/dev
/sys/class/drm/card0/dev
/sys/class/printer/lp0/dev
/sys/class/sound/mixer/dev
/sys/class/sound/controlC0/dev
/sys/class/sound/audio/dev
/sys/class/sound/dsp/dev
/sys/class/sound/pcmC0D0c/dev
/sys/class/sound/pcmC0D0p/dev
/sys/class/sound/sequencer2/dev
/sys/class/sound/sequencer/dev
/sys/class/sound/seq/dev
/sys/class/sound/timer/dev
/sys/class/vc/vcsa7/dev
/sys/class/vc/vcs7/dev
/sys/class/vc/vcsa6/dev
/sys/class/vc/vcs6/dev
/sys/class/vc/vcsa5/dev
/sys/class/vc/vcs5/dev
/sys/class/vc/vcsa4/dev
/sys/class/vc/vcs4/dev
/sys/class/vc/vcsa3/dev
/sys/class/vc/vcs3/dev
/sys/class/vc/vcsa2/dev
/sys/class/vc/vcs2/dev
/sys/class/vc/vcsa1/dev
/sys/class/vc/vcs1/dev
/sys/class/vc/vcsa8/dev
/sys/class/vc/vcs8/dev
/sys/class/vc/vcsa/dev
/sys/class/vc/vcs/dev
/sys/class/mem/kmsg/dev
/sys/class/mem/urandom/dev
/sys/class/mem/random/dev
/sys/class/mem/full/dev
/sys/class/mem/zero/dev
/sys/class/mem/port/dev
/sys/class/mem/null/dev
/sys/class/mem/mem/dev
/sys/class/input/input2/event2/dev
/sys/class/input/input2/mouse1/dev
/sys/class/input/input1/event1/dev
/sys/class/input/input1/mouse0/dev
/sys/class/input/input0/event0/dev
/sys/class/input/mice/dev
/sys/class/usb_device/usbdev1.2/dev
/sys/class/usb_device/usbdev1.1/dev
/sys/class/misc/ndiswrapper/dev
/sys/class/misc/nvram/dev
/sys/class/misc/device-mapper/dev
/sys/class/misc/agpgart/dev
/sys/class/misc/hpet/dev
/sys/class/misc/rtc/dev
/sys/class/tty/ttyS3/dev
/sys/class/tty/ttyS2/dev
/sys/class/tty/ttyS1/dev
/sys/class/tty/ttyS0/dev
/sys/class/tty/tty63/dev
/sys/class/tty/tty62/dev
/sys/class/tty/tty61/dev
/sys/class/tty/tty60/dev
/sys/class/tty/tty59/dev
/sys/class/tty/tty58/dev
/sys/class/tty/tty57/dev
/sys/class/tty/tty56/dev
/sys/class/tty/tty55/dev
/sys/class/tty/tty54/dev
/sys/class/tty/tty53/dev
/sys/class/tty/tty52/dev
/sys/class/tty/tty51/dev
/sys/class/tty/tty50/dev
/sys/class/tty/tty49/dev
/sys/class/tty/tty48/dev
/sys/class/tty/tty47/dev
/sys/class/tty/tty46/dev
/sys/class/tty/tty45/dev
/sys/class/tty/tty44/dev
/sys/class/tty/tty43/dev
/sys/class/tty/tty42/dev
/sys/class/tty/tty41/dev
/sys/class/tty/tty40/dev
/sys/class/tty/tty39/dev
/sys/class/tty/tty38/dev
/sys/class/tty/tty37/dev
/sys/class/tty/tty36/dev
/sys/class/tty/tty35/dev
/sys/class/tty/tty34/dev
/sys/class/tty/tty33/dev
/sys/class/tty/tty32/dev
/sys/class/tty/tty31/dev
/sys/class/tty/tty30/dev
/sys/class/tty/tty29/dev
/sys/class/tty/tty28/dev
/sys/class/tty/tty27/dev
/sys/class/tty/tty26/dev
/sys/class/tty/tty25/dev
/sys/class/tty/tty24/dev
/sys/class/tty/tty23/dev
/sys/class/tty/tty22/dev
/sys/class/tty/tty21/dev
/sys/class/tty/tty20/dev
/sys/class/tty/tty19/dev
/sys/class/tty/tty18/dev
/sys/class/tty/tty17/dev
/sys/class/tty/tty16/dev
/sys/class/tty/tty15/dev
/sys/class/tty/tty14/dev
/sys/class/tty/tty13/dev
/sys/class/tty/tty12/dev
/sys/class/tty/tty11/dev
/sys/class/tty/tty10/dev
/sys/class/tty/tty9/dev
/sys/class/tty/tty8/dev
/sys/class/tty/tty7/dev
/sys/class/tty/tty6/dev
/sys/class/tty/tty5/dev
/sys/class/tty/tty4/dev
/sys/class/tty/tty3/dev
/sys/class/tty/tty2/dev
/sys/class/tty/tty1/dev
/sys/class/tty/tty0/dev
/sys/class/tty/ptmx/dev
/sys/class/tty/console/dev
/sys/class/tty/tty/dev

Comment 12 Bug Zapper 2008-04-03 23:12:52 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 13 Stephen Haffly 2008-04-08 12:44:01 EDT
I have attempted to change the version to Fedora 8 as the same problem still
exists.  However, I am unable to change the version number.

HWbrowser recognizes and shows the modem, but system-config-network says that
there is no modem installed.

Comment 14 Stephen Haffly 2008-04-08 20:43:58 EDT
Additional information:

[root@slhmobile ~]# pccardctl info
PRODID_1="INTEL CORP V92  MODEM"
PRODID_2="AT-MD56XX"
PRODID_3="5.41"
PRODID_4=""
MANFID=014e,0088
FUNCID=2
[root@slhmobile ~]# pccardctl status
Socket 0:
  5.0V 16-bit PC Card
  Subdevice 0 (function 0) bound to driver "serial_cs"
[root@slhmobile ~]# pccardctl ident
Socket 0:
  product info: "INTEL CORP V92  MODEM", "AT-MD56XX", "5.41", ""
  manfid: 0x014e, 0x0088
  function: 0x2 (serial), 9
Comment 15 Dan Beard 2008-04-08 22:22:48 EDT
I can confirm the problem still exists in both F7 and F8.


Dan
Comment 16 Bug Zapper 2008-11-26 01:59:53 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Bug Zapper 2009-01-09 01:57:51 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.